GHSA-j544-7q9p-6xp8

Suggest an improvement
Source
https://github.com/advisories/GHSA-j544-7q9p-6xp8
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-j544-7q9p-6xp8/GHSA-j544-7q9p-6xp8.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-j544-7q9p-6xp8
Aliases
Published
2022-05-24T16:51:33Z
Modified
2024-02-19T05:23:41.658817Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS Calculator
Summary
Pallets Werkzeug vulnerable to Path Traversal
Details

In Pallets Werkzeug before 0.15.5, SharedDataMiddleware mishandles drive names (such as C:) in Windows pathnames.

References

Affected packages

PyPI / werkzeug

Package

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.15.5

Affected versions

0.*

0.1
0.2
0.3
0.3.1
0.4
0.4.1
0.5
0.5.1
0.6
0.6.1
0.6.2
0.7
0.7.1
0.7.2
0.8
0.8.1
0.8.2
0.8.3
0.9
0.9.1
0.9.2
0.9.3
0.9.4
0.9.5
0.9.6
0.10
0.10.1
0.10.2
0.10.3
0.10.4
0.11
0.11.1
0.11.2
0.11.3
0.11.4
0.11.5
0.11.6
0.11.7
0.11.8
0.11.9
0.11.10
0.11.11
0.11.12
0.11.13
0.11.14
0.11.15
0.12
0.12.1
0.12.2
0.13
0.14
0.14.1
0.15.0
0.15.1
0.15.2
0.15.3
0.15.4